#version 120
#extension GL_ARB_explicit_attrib_location: enable

attribute vec3 inPosition;
attribute vec3 inTexCoords;
attribute vec4 inColor;

uniform mat4 matProjection;
uniform mat4 matModelView;

varying vec4 vertColor;
varying vec3 vertTexCoords;

void main(void) {
    gl_Position = matProjection * matModelView * vec4(inPosition, 1);
    vertColor = inColor / 255.0;
    vertTexCoords = inTexCoords;
}
